org.apache.cxf.common.logging

## Class Log4jLogger

- java.lang.Object
- - java.util.logging.Logger
  - - org.apache.cxf.common.logging.AbstractDelegatingLogger
    - - org.apache.cxf.common.logging.Log4jLogger

-     public class Log4jLogger
      extends AbstractDelegatingLogger

  java.util.logging.Logger implementation delegating to Log4j. All methods can be used except: setLevel addHandler / getHandlers setParent / getParent setUseParentHandlers / getUseParentHandlers

- - ### Field Summary

    - ### Fields inherited from class java.util.logging.Logger

      `global, GLOBAL_LOGGER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Log4jLogger(String name, String resourceBundleName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHandler(Handler handler)`
    `Handler[]` | `getHandlers()`
    `Level` | `getLevel()`
    `protected void` | `internalLogFormatted(String msg, LogRecord record)`
    `void` | `removeHandler(Handler handler)`
    `void` | `setLevel(Level newLevel)`

    - ### Methods inherited from class org.apache.cxf.common.logging.AbstractDelegatingLogger

      `config, doLog, doLog, entering, entering, entering, exiting, exiting, fine, finer, finest, formatMessage, getParent, getUseParentHandlers, info, internalLog, isLoggable, log, log, log, log, log, logp, logp, logp, logp, logrb, logrb, logrb, logrb, setParent, setUseParentHandlers, severe, supportsHandlers, throwing, warning`

    - ### Methods inherited from class java.util.logging.Logger

      `config, fine, finer, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getGlobal, getLogger, getLogger, getName, getResourceBundle, getResourceBundleName, info, log, log, logp, logp, logrb, logrb, setFilter, setResourceBundle, severe, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Log4jLogger

          public Log4jLogger(String name,
                             String resourceBundleName)

  - ### Method Detail

    - #### getLevel

          public Level getLevel()

      Specified by:
        `getLevel` in class `AbstractDelegatingLogger`

    - #### setLevel

          public void setLevel(Level newLevel)
                        throws SecurityException

      Overrides:
        `setLevel` in class `AbstractDelegatingLogger`
      Throws:
        `SecurityException`

    - #### addHandler

          public void addHandler(Handler handler)
                          throws SecurityException

      Overrides:
        `addHandler` in class `AbstractDelegatingLogger`
      Throws:
        `SecurityException`

    - #### removeHandler

          public void removeHandler(Handler handler)
                             throws SecurityException

      Overrides:
        `removeHandler` in class `AbstractDelegatingLogger`
      Throws:
        `SecurityException`

    - #### getHandlers

          public Handler[] getHandlers()

      Overrides:
        `getHandlers` in class `AbstractDelegatingLogger`

    - #### internalLogFormatted

          protected void internalLogFormatted(String msg,
                                              LogRecord record)

      Specified by:
        `internalLogFormatted` in class `AbstractDelegatingLogger`

Apache CXF